App\Entity\ProspectEvenement:
    type: entity
    table: prospect_evenement
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        type:
            type: string
            length: 255
            fixed: false
            nullable: true
        description:
            type: text
            nullable: false
        dateEvenement:
            type: datetime
            nullable: true
        motscles:
            type: text
            nullable: true
    manyToOne:
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: evenements
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false
        prospect:
            targetEntity: Prospect
            cascade: {  }
            mappedBy: null
            inversedBy: evenements
            joinColumns:
                prospect_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: evenements
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false